## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-bids-validator
Version:        1.9.2
Release:        %autorelease
Summary:        Validator for the Brain Imaging Data Structure

License:        MIT
URL:            https://github.com/bids-standard/bids-validator
Source0:        %{pypi_source bids-validator}

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand: \
A library of helper functions written in Python, for use with BIDS compliant
applications written in this language.}

%description
%{common_description}


%package -n python3-bids-validator
Summary:        %{summary}

%description -n python3-bids-validator
%{common_description}


%prep
%autosetup -n bids-validator-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
# The test module really shouldn’t be installed with the package:
mv -v bids_validator/test_*.py ./
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files bids_validator


%check
# Upstream tests require downloading data, and it's not obvious how we could
# make them work with pre-downloaded data.
%pyproject_check_import


%files -n python3-bids-validator -f %{pyproject_files}
%doc README.md


%changelog
* Sat Feb 19 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 1.9.2-1
- feat: update to 1.9.2 (fixes rhbz#2055345)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.8.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 17 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.8.9-1
- Update to 1.8.9 (close RHBZ#2033079)

* Sat Dec 04 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.8.8-1
- Update to 1.8.8 (close RHBZ#2028645)

* Sun Nov 07 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.4-1
- Update to 1.8.4 (close RHBZ#2020976)
- Switch to pyproject-rpm-macros (“new guidelines”)
- Backport updated versioneer from 1.8.5, which is not yet on PyPI, fixing
  Python 3.11 support (fix RHBZ#20190576)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.2-9
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-6
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 08 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.2-1
- Initial package

